base class for all requests types that operate on exactly one dynamo table. basically just sets the TableName info on input params.

### Type parameters

- #### T

- #### I: DeleteItemInput | GetItemInput | PutItemInput | UpdateItemInput | QueryInput | ScanInput

- #### R: StandardRequest<T, I, any>

### Hierarchy

- BaseRequest<T, I, R>
  - StandardRequest
    - WriteRequest
    - GetRequest
    - ReadManyRequest

## Index

### Constructors

- constructor

### Properties

- dynamoDBWrapper
- metadata
- modelClazz
- params
- tableName

### Methods

- exec
- execFullResponse
- returnConsumedCapacity

## Constructors

### Protected constructor

- new StandardRequest(dynamoDBWrapper: DynamoDbWrapper, modelClazz: ModelConstructor<T>): StandardRequest

- Overrides BaseRequest.constructor

  - Defined in dynamo/request/standard.request.ts:21

  #### Parameters

  - ##### dynamoDBWrapper: DynamoDbWrapper

  - ##### modelClazz: ModelConstructor<T>

  #### Returns StandardRequest

## Properties

### dynamoDBWrapper

dynamoDBWrapper: DynamoDbWrapper

Inherited from BaseRequest.dynamoDBWrapper

- Defined in dynamo/request/base.request.ts:28

### metadata

metadata: Metadata<T>

Inherited from BaseRequest.metadata

- Defined in dynamo/request/base.request.ts:30

### modelClazz

modelClazz: ModelConstructor<T>

Inherited from BaseRequest.modelClazz

- Defined in dynamo/request/base.request.ts:29

### params

params: I

Inherited from BaseRequest.params

- Defined in dynamo/request/base.request.ts:32

### tableName

tableName: string

Inherited from BaseRequest.tableName

- Defined in dynamo/request/base.request.ts:31

## Methods

### Abstract exec

- exec(): Promise<T[] | T | null | void>

- - Defined in dynamo/request/standard.request.ts:29

  #### Returns Promise<T[] | T | null | void>

### Abstract execFullResponse

- execFullResponse(): Promise<any>

- - Defined in dynamo/request/standard.request.ts:27

  #### Returns Promise<any>

### returnConsumedCapacity

- returnConsumedCapacity(level: DynamoDB.ReturnConsumedCapacity): R

- Inherited from BaseRequest.returnConsumedCapacity

  - Defined in dynamo/request/base.request.ts:53

  #### Parameters

  - ##### level: DynamoDB.ReturnConsumedCapacity

  #### Returns R

Generated using TypeDoc